%define rhugversion 20031215
%define rhugsource1 %{name}-%{version} upstream

Summary: Jakarta Regular Expression Package
Name: jakarta-regexp
Version: 1.2
Release: 15
URL: http://jakarta.apache.org/regexp/
Source: rhug-%{name}-%{rhugversion}.tar.bz2
Source1: %{name}-%{version}.tar.gz
Patch1: %{name}-rhjpp.patch
License: Apache Software License
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gcc34-c++
BuildPrereq: gcc34-java >= 3.4.0-1
Prereq: redhat-java-rpm-scripts >= 1.0.2-2
Requires: libgcj34 >= 3.4.0-1

%description
Regexp is a 100% Pure Java Regular Expression package.  It includes a
simple Applet for visual debugging and testing suite for
compatibility.

%package devel
Summary: CNI headers for developing Jakarta Regexp applications
Group: Development/Libraries
Requires: jakarta-regexp = %{version}-%{release}

%description devel
The jakarta-regexp-devel package contains the headers required to
develop Cygnus Native Interface (CNI) extensions that use Jakarta
Regexp.

%prep
%setup -q -a 1
mv %{rhugsource1}
%patch1 -p0 -b .rhjpp
mv ChangeLog ChangeLog.rhug

%build
CC=gcc34 CXX=g++34 GCJ=gcj34 GCJH=gcjh34 \
./configure \
    --disable-static \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --program-suffix="-@VERSION@"
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
rm -f ${RPM_BUILD_ROOT}%{_libdir}/*.la
find ${RPM_BUILD_ROOT}%{_libdir} -type l | xargs rm -f

%post
%{_sbindir}/javaconfig \
    %{_bindir}/recompile \
    %{_libdir}/lib-org-apache-regexp.so \
    %{_datadir}/java/jakarta-regexp.jar

%postun
%{_sbindir}/javaconfig \
    %{_bindir}/recompile \
    %{_libdir}/lib-org-apache-regexp.so \
    %{_datadir}/java/jakarta-regexp.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.rhug upstream/LICENSE upstream/docs/*.html upstream/docs/api
%{_bindir}/*
%{_libdir}/*.so
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_includedir}/org/apache/regexp

%changelog
* Tue May  4 2004 Gary Benson <gbenson@redhat.com> 1.2-15
- Rebuild with new compiler.

* Thu Apr 15 2004 Gary Benson <gbenson@redhat.com> 1.2-14
- Rebuild with new compiler (#120844).

* Tue Mar  2 2004 Elliot Lee <sopwith@redhat.com>
- Rebuilt.

* Fri Feb 13 2004 Gary Benson <gbenson@redhat.com> 1.2-13
- Rebuild for Fedora.

* Mon Dec 15 2003 Gary Benson <gbenson@redhat.com>
- Apply hammer multilib fix to all multilib archs.
- Correctly link local libraries on hammer.

* Tue Dec  9 2003 Gary Benson <gbenson@redhat.com>
- Upgraded to fluorinated RHUG tarball.
- Picked up some accidentally omitted classes.

* Fri Sep  5 2003 Gary Benson <gbenson@redhat.com> 1.2-12
- Ensure we have a working javaconfig.

* Thu Sep  4 2003 Gary Benson <gbenson@redhat.com>
- Remove workarounds used to support alpha releases.

* Fri Aug 15 2003 Gary Benson <gbenson@redhat.com> 1.2-11
- Rebuild with new compiler.

* Tue Aug  5 2003 Gary Benson <gbenson@redhat.com> 1.2-10
- Rebuild with new compiler.

* Fri Jul 25 2003 Gary Benson <gbenson@redhat.com> 1.2-9
- Move everything but the CNI includes out of the -devel subpackage.
- Clarify the -devel subpackage's summary and description.
- Remove unnecessary -devel build-time dependencies (#99077).

* Mon Jun 30 2003 Gary Benson <gbenson@redhat.com> 1.2-8
- Rebuild with new compiler and enable ia64 build.

* Fri Jun  6 2003 Gary Benson <gbenson@redhat.com> 1.2-7
- Rebuild with new compiler.

* Thu Jun  5 2003 Gary Benson <gbenson@redhat.com>
- Add build time dependency on C++ compiler.

* Thu May 29 2003 Gary Benson <gbenson@redhat.com> 1.2-6
- Rebuild with new compiler.

* Thu May 22 2003 Gary Benson <gbenson@redhat.com> 1.2-5
- Move unversioned library symlink into main package.

* Fri May  2 2003 Tom Tromey <tromey@redhat.com> 1.2-4
- Rebuild with new compiler.

* Thu Mar 27 2003 Gary Benson <gbenson@redhat.com> 1.2-3
- Tighten up directory ownership in %{_includedir}.

* Thu Mar 27 2003 Gary Benson <gbenson@redhat.com> 1.2-2
- Rebuild with new compiler.

* Thu Mar 20 2003 Gary Benson <gbenson@redhat.com> 1.2-1
- Initial Red Hat Linux build.

* Fri Nov 22 2002 Gary Benson <gbenson@redhat.com>
- Initial RHUG build.
